> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Address Coin Balance History by Day

` GET /blockscout/addresses/{address_hash}/coin-balance-history-by-day `

Get Address Coin Balance History by Day

## Servers

- ` https://data-api.b3.fun/ ` — B3 Data API - Multi-Chain Proxy

## Parameters

### ` address_hash ` (path, required)

Address hash

- ` value `: type ` string `

  - pattern: ` "^0x([A-Fa-f0-9]{40})$" `

## Responses

### ` 200 ` — Address

Content type: ` application/json `

- ` value `: type ` array `

  - ` array item `: type ` object `

    - Required fields: ` date `, ` value `

    - ` date `: type ` string `

      - example: ` "2022-08-02" `

    - ` value `: type ` number `

      - example: ` "100232323" `

### ` 400 ` — Bad Input Parameter

## Request examples

### cURL

```curl
curl -X GET 'https://data-api.b3.fun//blockscout/addresses/string/coin-balance-history-by-day'
```

### JavaScript

```javascript
const response = await fetch('https://data-api.b3.fun//blockscout/addresses/string/coin-balance-history-by-day', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://data-api.b3.fun//blockscout/addresses/string/coin-balance-history-by-day')
print(response.json())
```